FireGuardApi reference

Create a project

Create a FireGuard project programmatically with policies, security guardrail settings, topics, and a default execution mode.

POST
/project

Create a FireGuard project programmatically with policies, security guardrail settings, topics, and a default execution mode.

Authorization

ApiKeyAuth
X-Api-Key<token>

FireGuard organization API key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/project" \  -H "Content-Type: application/json" \  -d '{    "name": "Production Support Agent",    "description": "Guardrails for the customer support assistant.",    "organizationId": "00000000-0000-0000-0000-000000000000",    "policies": [      {        "metricId": "11111111-1111-1111-1111-111111111111",        "blockInput": true,        "blockOutput": true      }    ],    "securityGuardrails": {      "securityGuardrailBlockInput": true,      "securityGuardrailBlockOutput": true,      "securityGuardrailDetectionThreshold": 0.5    },    "topics": [      {        "topicId": "22222222-2222-2222-2222-222222222222",        "enableInput": true,        "enableOutput": true      }    ],    "guardrailExecutionMode": "normal"  }'
{  "projectId": "string"}